%global gitver 26b1454a
%global date   20130626

Summary:       Visual tool for Git
Name:          teamgit
Version:       0.0.12
Release:       1.%{date}%{?dist}
Epoch:         1
License:       GPLv2
Group:         Development/Tools
URL:           http://gitorious.org/projects/teamgit
# Source0:     http://ppa.launchpad.net/bain-devslashzero/ubuntu/pool/main/t/teamgit/teamgit_0.0.10ubuntu1.tar.gz
# Tarball created by
# $ git clone git://gitorious.org/teamgit/mainline.git
# $ cd mainline
# $ git checkout origin/master
# $ git archive --format=tar --prefix=teamgit-%{version}/ %{gitver} | xz > teamgit-%{version}-%{date}.tar.xz
Source0:       teamgit-%{version}-%{date}.tar.xz
BuildRequires: avahi-compat-libdns_sd-devel
BuildRequires: desktop-file-utils
BuildRequires: source-highlight-qt-devel
BuildRequires: qt-devel
Requires:      git
%description
This package provides a visual tool for Git, a distributed revision
control system.

%prep
%setup -q

%build
qmake-qt4 ./teamgit.pro
%{__make} 
#{?_smp_mflags} don't work

%install
%{__rm} -rf %{buildroot}
%{__make} INSTALL_ROOT=%{buildroot} install
desktop-file-install --dir %{buildroot}%{_datadir}/applications \
    %{buildroot}%{_datadir}/applications/%{name}.desktop 

%files
%doc COPYING
%{_bindir}/%{name}
%{_bindir}/%{name}-rebase
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}_icon.png
%{_mandir}/man1/%{name}.1*

%changelog
* Wed Jun 26 2013 Terje Rosten <terje.rosten@ntnu.no> - 1:0.0.12-1.20130626
- Update from git

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.0.10-3.20120202
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.0.10-2.20120202
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Feb 03 2012 Terje Rosten <terje.rosten@ntnu.no> - 1:0.0.10-1.20120202
- Update from git

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.0.9-6.20090205
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.0.9-5.20090205
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.0.9-4.20090205
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Mar 01 2009 Terje Rosten <terje.rosten@ntnu.no> - 0.0.9-3.20090205
- Fix desktop file (bz #487868)

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.0.9-2.20090205
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 05 2009 Terje Rosten <terje.rosten@ntnu.no> - 0.0.9-1.20090205
- 0.0.9 + man page crash fix

* Fri Dec 26 2008 Terje Rosten <terje.rosten@ntnu.no> - 0.0.8-2.20081226
- add git to req.
- update to git snapshot 2008-12-26

* Sun Nov 23 2008 Terje Rosten <terje.rosten@ntnu.no> - 0.0.8-1
- 0.0.8
- add man page
- icon has moved
- remove %%post scripts

* Tue Oct 07 2008 Terje Rosten <terje.rosten@ntnu.no> - 0.3.0-1
- initial build

